package Visual_DVM_2021.Passes.All;
import _VisualDVM.Visual.UI;
import _VisualDVM.ProjectData.Project.db_project_info;
import Visual_DVM_2021.Passes.PassCode;
import Visual_DVM_2021.Passes.VariantsMassPass;
public class CreateParallelVariants extends VariantsMassPass {
    @Override
    public String getIconPath() {
        return "/icons/Create.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    public PassCode getSubPassCode() {
        return PassCode.SPF_CreateParallelVariant;
    }
    @Override
    protected void FocusResult() {
        UI.getMainWindow().getProjectWindow().FocusVersions();
    }
    @Override
    protected void performPreparation() throws Exception {
        db_project_info.ResetNewVersions();
        super.performPreparation();
    }
}
